@media print {
    @page {
        size: A4 landscape;
        margin: 7mm;
        color: black;
    }

    @page {
        size: landscape;
    }

    /* Default: hide everything */
    body * {
        visibility: hidden !important;
        font-size: 10px;
    }

    /* Only show the printing container */
    #printingContainer,
    #printingContainer * {
        visibility: visible !important;
    }

    #printingContainer {
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
    }

    .print-small-text{
        font-size: 8pt;
        line-height: 1;
        color: black;
        padding: 0;
        margin: 0;
    }
    .text-transparent{
        color: transparent!important;
    }
    .text-white{
        color: transparent!important;
    }
    
    .no-print {
        display: none !important;
    }

    /* Print-only elements */
    .print-only {
        display: block !important;
    }
}

/* Screen-only defaults */
.print-only {
    display: none;
}